org.richfaces.event

## Class MethodExpressionTreeToggleListener

- java.lang.Object
- - org.richfaces.event.MethodExpressionEventListener
  - - org.richfaces.event.MethodExpressionTreeToggleListener

- All Implemented Interfaces:
    EventListener, javax.faces.component.StateHolder, javax.faces.event.FacesListener, org.richfaces.event.TreeToggleListener

      public class MethodExpressionTreeToggleListener
      extends MethodExpressionEventListener
      implements org.richfaces.event.TreeToggleListener

  Author:
    Nick Belaevski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodExpressionTreeToggleListener()`
    `MethodExpressionTreeToggleListener(javax.el.MethodExpression methodExpressionOneArg)`
    `MethodExpressionTreeToggleListener(javax.el.MethodExpression methodExprOneArg, javax.el.MethodExpression methodExprZeroArg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `processTreeToggle(org.richfaces.event.TreeToggleEvent event)`

    - ### Methods inherited from class org.richfaces.event.MethodExpressionEventListener

      `isTransient, processEvent, restoreState, saveState, setTransient`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodExpressionTreeToggleListener

          public MethodExpressionTreeToggleListener()

    - #### MethodExpressionTreeToggleListener

          public MethodExpressionTreeToggleListener(javax.el.MethodExpression methodExprOneArg,
                                            javax.el.MethodExpression methodExprZeroArg)

    - #### MethodExpressionTreeToggleListener

          public MethodExpressionTreeToggleListener(javax.el.MethodExpression methodExpressionOneArg)

  - ### Method Detail

    - #### processTreeToggle

          public void processTreeToggle(org.richfaces.event.TreeToggleEvent event)
                                 throws javax.faces.event.AbortProcessingException

      Specified by:
        `processTreeToggle` in interface `org.richfaces.event.TreeToggleListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.